.form-control {line-height: 2.0; }
.ng.invalid:not(form){ border-left: 5px solid #ff764d; }
:required{ border-left: 5px solid #ff764d; }
.ng-invalid:not(form) { border-left: 5px solid #ff764d; }
.ng-valid[required], .ng-valid.required{
    border-left: 1px solid rgba(0,0,0,.15);
}